> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark message as Interacted

> Mark message as Interacted on behalf of a user.



## OpenAPI

````yaml patch /messages/{id}/interacted
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appid}.api-{region}.cometchat.io/v3
    variables:
      appid:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /messages/{id}/interacted:
    patch:
      tags:
        - Messages
      summary: Mark message as Interacted
      description: Mark message as Interacted on behalf of a user.
      operationId: mark-message-as-interacted
      parameters:
        - $ref: '#/components/parameters/requiredonBehalfOf'
        - name: id
          in: path
          description: Id of the message whose details are to be fetched.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: Message ID
              value: ''
      requestBody:
        content:
          application/json:
            schema:
              properties:
                interactions:
                  description: A list of element Ids to be marked as interacted!
                  type: array
                  items:
                    type: string
              type: object
      responses:
        '200':
          description: Marking Message as Interacted
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/deleteSchema'
                    type: object
                type: object
              example:
                data:
                  success: true
                  message: >-
                    The message id 7 has been marked as interacted for the user
                    superhero1.
      security:
        - apiKey: []
components:
  parameters:
    requiredonBehalfOf:
      name: onBehalfOf
      in: header
      description: UID of the user on whose behalf the action is performed.
      required: true
      schema:
        type: string
  schemas:
    deleteSchema:
      properties:
        success:
          type: boolean
        message:
          type: string
      type: object
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````